<?php

namespace Neutrino\Ion3Core\Enums;

enum IonLookupListingType: string
{
    case Sale = 'Sale';
    case Lease = 'Lease';
    case SaleOrLease = 'Sale or Lease';

    public static function asArray(): array
    {
        return array_column(self::cases(), 'value');
    }

    public function getLabel(): ?string
    {
        return $this->value;
    }
}
